<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Lugares</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col>
        <ion-card>
          <ion-card-header>
            <h1>Lugares</h1>
          </ion-card-header>
          <ion-card-content>
            <ion-grid>
              <ion-row class="cabeceras">
                <ion-col>Nombre</ion-col>
                <ion-col>Dirección</ion-col>
              </ion-row>
              <ion-row class="cuerpo" *ngFor="let lugar of lugares" lines="inset"
                [routerLink]="['/web/lugares/acciones', lugar.id]">
                <ion-col>{{lugar.nombre}}</ion-col>
                <ion-col>{{lugar.direccion}}</ion-col>
              </ion-row>
            </ion-grid>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>

  <ion-grid>
    <ion-row>
      <ion-col>
        <ion-card>
          <ion-card-header>
            <h1>Lugares</h1>
          </ion-card-header>
          <ion-card-content>
            <ion-grid>
              <ion-row>
                <ion-col>
                  <ion-item>
                    <ion-label position="stacked">Stacked Label</ion-label>
                    <ion-input (keyup)="updateFilter($event)" ></ion-input>
                  </ion-item>
                </ion-col>
              </ion-row>
            </ion-grid>

            <ngx-datatable class="material expandable" [sortType]="'multi'" [headerHeight]="50" [footerHeight]="50"
              [rowHeight]="50" [rows]="lugares" [columns]="columns" [columnMode]="'force'" [limit]="10">
              <ngx-datatable-column name="Id">
                <ng-template ngx-datatable-cell-template let-value="value">
                  {{ value }}
                </ng-template>
              </ngx-datatable-column>
              <ngx-datatable-column name="Nombre">
                <ng-template ngx-datatable-cell-template let-rowIndex="rowIndex" let-value="value" let-row="row">
                  {{ value }}
                </ng-template>
              </ngx-datatable-column>
              <ngx-datatable-column name="Direccion">
                <ng-template ngx-datatable-cell-template let-rowIndex="rowIndex" let-row="row" let-value="value">
                  {{ value }}
                </ng-template>
              </ngx-datatable-column>
            </ngx-datatable>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>

  <div>

  </div>




  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button [routerLink]="['/web/lugares/acciones']" routerDirection="forward">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>